// Fill out your copyright notice in the Description page of Project Settings.


#include "Tools/CsdkTool.h"


TArray<UObject*> UCsdkTool::SortArrayObject(const TArray<UObject*>& InArray, const FCsdkPredicateFunc& PredicateFunc)
{
	TArray<UObject*> Result = InArray;
	Result.Sort([PredicateFunc](const UObject& L,const UObject& R)
	{
		return PredicateFunc.Execute(&L,&R);
	});

	return Result;
}
